package jlk;

import javax.swing.*;

public class AlertDialog
{
   public static final int PLAIN_MESSAGE = JOptionPane.PLAIN_MESSAGE;
   public static final int QUESTION_MESSAGE = JOptionPane.QUESTION_MESSAGE;
   public static final int INFORMATION_MESSAGE = JOptionPane.INFORMATION_MESSAGE;
   public static final int WARNING_MESSAGE = JOptionPane.WARNING_MESSAGE;
   public static final int ERROR_MESSAGE = JOptionPane.ERROR_MESSAGE;
   JFrame parent_ = null;


   public AlertDialog(JFrame parent)
   {
    this.parent_ = parent;
   }

   public int runModal (String title, String message, int messageType, String[] options)
   {
      ImageIcon icon = null;

      try {
         icon = new ImageIcon(getClass().getResource("appIcon.gif"));
      }
      catch(Exception e) {
         icon = null;
      }

      java.awt.Toolkit.getDefaultToolkit().beep();

      return JOptionPane.showOptionDialog(parent_,
         message,
         title,
         JOptionPane.DEFAULT_OPTION,
         messageType,
         /*null*/icon,  // if null, a standard icon acc. to 'messageType' is shown
         options,
         options[0]);
   }

   public static int runModalDialog (JFrame parent, String title, String message, int messageType, String[] options)
   {
      return (new AlertDialog(parent)).runModal(title, message, messageType, options);
   }
}
